hxt-9.3.1.1: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | stable
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Safe Haskell | Safe-Inferred

Data.Tree.NTree.TypeDefs

Description

Interface definition for trees

n-ary tree structure (rose trees)

Synopsis

- data NTree a = NTree a (NTrees a)
- type NTrees a = [NTree a]

# Documentation

data NTree a

n-ary ordered tree (rose trees)

a tree consists of a node and a possible empty list of children. If the list of children is empty, the node is a leaf, else it's an inner node.

NTree implements Eq, Ord, Show and Read

Constructors

NTree a (NTrees a) |

Instances

Functor NTree | NTree implements class Functor
Typeable1 NTree |
Tree NTree | Implementation of Data.Tree.Class interface for rose trees
NavigatableTreeModify NTZipper NTree |
NavigatableTreeToTree NTZipper NTree |
Eq a => Eq (NTree a) |
Ord a => Ord (NTree a) |
Read a => Read (NTree a) |
Show a => Show (NTree a) |
Binary a => Binary (NTree a) |
NFData a => NFData (NTree a) |
WNFData a => WNFData (NTree a) |

type NTrees a = [NTree a]

shortcut for a sequence of n-ary trees